## org.apache.myfaces.renderkit.html.ext
Class HtmlLinkRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
                  org.apache.myfaces.renderkit.html.ext.HtmlLinkRenderer

Direct Known Subclasses:
  HtmlNavigationMenuRenderer, HtmlNavigationRenderer

public class HtmlLinkRenderer
extends HtmlLinkRendererBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`URL_STATE_MARKER, URL_STATE_MARKER_LEN`

Constructor Summary
`HtmlLinkRenderer()`

Method Summary
`protected void` `renderCommandLinkStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.String clientId, java.lang.Object value, java.lang.String style, java.lang.String styleClass)`
`protected void` `renderLinkEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` `renderOutputLinkStart(javax.faces.context.FacesContext facesContext, javax.faces.component.UIOutput output)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`decode, encodeBegin, encodeChildren, encodeEnd, getRendersChildren, getStyle, getStyleClass, renderJavaScriptAnchorStart, renderNonJavaScriptAnchorStart`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlLinkRenderer

    public HtmlLinkRenderer()

Method Detail

### renderCommandLinkStart

    protected void renderCommandLinkStart(javax.faces.context.FacesContext facesContext,
                                          javax.faces.component.UIComponent component,
                                          java.lang.String clientId,
                                          java.lang.Object value,
                                          java.lang.String style,
                                          java.lang.String styleClass)
                                   throws java.io.IOException

  Overrides:
    `renderCommandLinkStart` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`

### renderOutputLinkStart

    protected void renderOutputLinkStart(javax.faces.context.FacesContext facesContext,
                                         javax.faces.component.UIOutput output)
                                  throws java.io.IOException

  Overrides:
    `renderOutputLinkStart` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`

### renderLinkEnd

    protected void renderLinkEnd(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)
                          throws java.io.IOException

  Overrides:
    `renderLinkEnd` in class `HtmlLinkRendererBase`
  Throws:
    `java.io.IOException`